summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /eclass/mozconfig-3.eclass
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'eclass/mozconfig-3.eclass')
-rw-r--r--eclass/mozconfig-3.eclass104
1 files changed, 104 insertions, 0 deletions
diff --git a/eclass/mozconfig-3.eclass b/eclass/mozconfig-3.eclass
new file mode 100644
index 000000000000..a0a01a19910f
--- /dev/null
+++ b/eclass/mozconfig-3.eclass
@@ -0,0 +1,104 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+#
+# mozconfig.eclass: the new mozilla.eclass
+
+inherit multilib flag-o-matic mozcoreconf-2
+
+# use-flags common among all mozilla ebuilds
+IUSE="+alsa +dbus debug libnotify startup-notification system-sqlite wifi"
+
+# XXX: GConf is used for setting the default browser
+# revisit to make it optional with GNOME 3
+# pango[X] is needed for pangoxft.h
+# freedesktop-icon-theme is needed for bug 341697
+RDEPEND="app-arch/zip
+ app-arch/unzip
+ >=app-text/hunspell-1.2
+ dev-libs/expat
+ >=dev-libs/libevent-1.4.7
+ >=x11-libs/cairo-1.8[X]
+ >=x11-libs/gtk+-2.8.6:2
+ >=x11-libs/pango-1.10.1[X]
+ virtual/jpeg:0
+ alsa? ( media-libs/alsa-lib )
+ virtual/freedesktop-icon-theme
+ dbus? ( >=dev-libs/dbus-glib-0.72 )
+ libnotify? ( >=x11-libs/libnotify-0.4 )
+ startup-notification? ( >=x11-libs/startup-notification-0.8 )
+ wifi? ( net-wireless/wireless-tools )"
+DEPEND="${RDEPEND}"
+
+mozconfig_config() {
+ mozconfig_annotate '' --enable-default-toolkit=cairo-gtk2
+
+ if has bindist ${IUSE}; then
+ mozconfig_use_enable !bindist official-branding
+ if [[ ${PN} == firefox ]] && use bindist ; then
+ mozconfig_annotate '' --with-branding=browser/branding/aurora
+ fi
+ fi
+
+ if ! $(mozversion_is_new_enough) ; then
+ mozconfig_use_enable alsa ogg
+ mozconfig_use_enable alsa wave
+ mozconfig_use_enable libnotify
+ mozconfig_use_enable debug debugger-info-modules
+ if has +ipc ${IUSE}; then
+ mozconfig_use_enable ipc
+ fi
+ if [[ ${PN} != thunderbird ]] ; then
+ mozconfig_annotate 'places' --enable-storage --enable-places --enable-places_bookmarks
+ mozconfig_annotate '' --enable-oji --enable-mathml
+ mozconfig_annotate 'broken' --disable-mochitest
+ fi
+ if use system-sqlite; then
+ mozconfig_annotate '' --with-sqlite-prefix="${EPREFIX}"/usr
+ fi
+ if use amd64 || use x86 || use arm || use sparc; then
+ mozconfig_annotate '' --enable-tracejit
+ fi
+ fi
+
+ mozconfig_use_enable dbus
+ mozconfig_use_enable debug
+ mozconfig_use_enable debug tests
+ if ! use debug ; then
+ mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ fi
+ mozconfig_use_enable startup-notification
+ mozconfig_use_enable system-sqlite
+ mozconfig_use_enable wifi necko-wifi
+
+ if $(mozversion_is_new_enough) ; then
+ mozconfig_annotate 'required' --enable-ogg
+ mozconfig_annotate 'required' --enable-wave
+ mozconfig_annotate 'required' --with-system-libvpx
+ elif has +webm ${IUSE} && use webm; then
+ if ! use alsa; then
+ echo "Enabling alsa support due to webm request"
+ mozconfig_annotate '+webm -alsa' --enable-ogg
+ mozconfig_annotate '+webm -alsa' --enable-wave
+ mozconfig_annotate '+webm' --enable-webm
+ mozconfig_annotate '+webm' --with-system-libvpx
+ else
+ mozconfig_use_enable webm
+ mozconfig_annotate '+webm' --with-system-libvpx
+ fi
+ else
+ mozconfig_annotate '' --disable-webm
+ mozconfig_annotate '' --disable-system-libvpx
+ fi
+
+ # These are enabled by default in all mozilla applications
+ mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --with-system-nss --with-nss-prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --x-includes="${EPREFIX}"/usr/include --x-libraries="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --with-system-libevent="${EPREFIX}"/usr
+ mozconfig_annotate '' --enable-system-hunspell
+ mozconfig_annotate '' --disable-gnomevfs
+ mozconfig_annotate '' --disable-gnomeui
+ mozconfig_annotate '' --enable-gio
+ mozconfig_annotate '' --disable-crashreporter
+}